Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml
Interface ExecutionStackTraceElement

    public interface ExecutionStackTraceElement

An element of the QVT execution stack trace. The frame at the top of the stack represents the execution point at which the stack trace was generated. Typically, this is the point at which a forcible execution interruption occurred.

Since:
  2.0

Method Summary
`int` | `getLineNumber()` Returns the line number of the source line containing the execution point represented by this stack trace element.
`java.lang.String` | `getModuleName()` Gets the name of the executed module.
`java.lang.String` | `getOperationName()` Gets the name of the operation associated with this trace element.
`java.lang.String` | `getUnitName()` Gets the name of the the unit containing the execution point.

Method Detail

### getUnitName

    java.lang.String getUnitName()

  Gets the name of the the unit containing the execution point.

  Returns:
    the name string

### getModuleName

    java.lang.String getModuleName()

  Gets the name of the executed module.

  Returns:
    the name string or `null`, in case the executed code is not part of any module, for instance a condition of a top level `modeltype` element.

### getOperationName

    java.lang.String getOperationName()

  Gets the name of the operation associated with this trace element.

  Remark: It's possible that the name does not refer to an operation explicitly defined in QVT, but rather to a synthesized one.

  Returns:
    the name string

### getLineNumber

    int getLineNumber()

  Returns the line number of the source line containing the execution point represented by this stack trace element.

  Returns:
    the line number of the source line containing the execution point represented by this stack trace element, or a negative number if this information is unavailable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD